org.eclipse.incquery.viewmodel.traceability

## Interface Trace

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    TraceImpl

      public interface Trace
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Trace'.

  The following features are supported:

  - `Targets`
  - `Id`
  - `Params`
  - `Objects`
  See Also:
    `TraceabilityPackage.getTrace()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getId()` Returns the value of the 'Id' attribute.
    `org.eclipse.emf.common.util.EList<java.lang.Object>` | `getObjects()` Returns the value of the 'Objects' attribute list.
    `org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject>` | `getParams()` Returns the value of the 'Params' reference list.
    `org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject>` | `getTargets()` Returns the value of the 'Targets' reference list.
    `void` | `setId(java.lang.String value)` Sets the value of the '`Id`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getTargets

          org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject> getTargets()

      Returns the value of the 'Targets' reference list. The list contents are of type `EObject`.

      If the meaning of the 'Targets' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Targets' reference list.
      See Also:
        `TraceabilityPackage.getTrace_Targets()`

    - #### getId

          java.lang.String getId()

      Returns the value of the 'Id' attribute.

      If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Id' attribute.
      See Also:
        `setId(String)`, `TraceabilityPackage.getTrace_Id()`

    - #### setId

          void setId(java.lang.String value)

      Sets the value of the '`Id`' attribute.
      Parameters:
        `value` - the new value of the 'Id' attribute.
      See Also:
        `getId()`

    - #### getParams

          org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject> getParams()

      Returns the value of the 'Params' reference list. The list contents are of type `EObject`.

      If the meaning of the 'Params' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Params' reference list.
      See Also:
        `TraceabilityPackage.getTrace_Params()`

    - #### getObjects

          org.eclipse.emf.common.util.EList<java.lang.Object> getObjects()

      Returns the value of the 'Objects' attribute list. The list contents are of type `Object`.

      If the meaning of the 'Objects' attribute list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Objects' attribute list.
      See Also:
        `TraceabilityPackage.getTrace_Objects()`